Solved

Problems with Horde webmail client!

Posted on 2000-05-07
16
264 Views
Last Modified: 2013-12-16
when i try to install the webmail client imp/horde i got this error

Fatal error: HordeCT is not a class in session.inc on line 363

i have installed this package several times, does any one have had installed that program? (there r no rpm, 'cause rpms r to old)
0
Comment
Question by:efx
  • 5
  • 4
  • 4
  • +2
16 Comments
 
LVL 40

Expert Comment

by:jlevie
Comment Utility
I've got a couple of instances set up, which version are you trying to use and which version of PHP are you using?
0
 

Author Comment

by:efx
Comment Utility
IMP 2.2.0-pre11 and Horde 1.2.0-pre11
PHP it is the one included with RHL 6.2 php-3.0.15-2
it is the last version of imp, it says in the manual that works with php 3.0.12 and higer
0
 

Expert Comment

by:castleinfo
Comment Utility
I've set this up a couple of times and found having all the same rpm versions is a great help.

Use mod_php,php_imap & php_databaseversion rpms and make sure they are all the same version number.

Test php is working and ensure the correct modules show up.

Then install horde/imp.

Once you get it working you'll kick yourself at how easy it is. (although I must admit it took me two weeks the first time.)
0
 
LVL 4

Expert Comment

by:kiffney
Comment Utility
Just curious - what is horde?  What's it do?
0
 

Expert Comment

by:castleinfo
Comment Utility
Horde is an application framework for workgroup stuff like e-mail callender etc. It's a set of php scripts that let you run web apps such as IMP (email).. pretty darn kewel try a demo here :

http://www.castleinfo.co.uk/horde/imp/

login : test
pswd  : testing
0
 

Author Comment

by:efx
Comment Utility
shust like a comment horde in RPM r a to old version so that's why i'm trying to make it work with the new one, instead with rpm it looks like this
http://effects.uacj.mx/horde/index.php3
it seems to be that everything works but the login passwd page does'nt appears so u can't log in it appears a blank screen
0
 

Author Comment

by:efx
Comment Utility
castleinfo:
    i got all that rpm that u said, but when u said then install horde/imp r they rpms? or can i install the tar.gz files(the newest)??
0
 
LVL 40

Expert Comment

by:jlevie
Comment Utility
I believe your problem is the PHP version. Yes, I know what the Horde/IMP docs say, but I've not found that to be exactly true. Try removing the PHP rpm and installing php-3.0.16. You may need to patch IMP for IMAP access, it's in the IMP FAQ. If you can't find that note I may still have it at work.
0
What Should I Do With This Threat Intelligence?

Are you wondering if you actually need threat intelligence? The answer is yes. We explain the basics for creating useful threat intelligence.

 

Expert Comment

by:castleinfo
Comment Utility
You don't need rpm's for horde/imp because it's just a bunch of scripts untar/zip them and put them somewhere : I use /home/httpd/html/horde/imp as the structure.

The first time you view it through a web browser it automatcialy takes you through the setup... Then you run the shell script to set security...
0
 

Expert Comment

by:castleinfo
Comment Utility
Can you post the contents of your phpinfo() page ? i.e. what it thinks is installed.
0
 
LVL 12

Expert Comment

by:j2
Comment Utility
Fatal error: HordeCT is not a class in session.inc on line 363

Means you havent read the install guide. You have to EDIT session.inc to cater for your database class. The Redhat RPM's does not do this for you. I would really recommend removing it and install it from scratch from the tarballs from www.horde.org.

You you could tell me which database you are using to store session data and i can tell you what to edit.
0
 
LVL 12

Expert Comment

by:j2
Comment Utility
or look at http://marc.theaimsgroup.com/?l=imp&m=95667936911773&w=2 for instructions on where to find rpms that actually work (RedHat really goofed on this one)
0
 
LVL 12

Expert Comment

by:j2
Comment Utility
(but personally i would still build from scratch, it just works better)
0
 

Author Comment

by:efx
Comment Utility
j2, that error doesn't appears with rpm version, that appears when i try to put it with tar files
0
 

Author Comment

by:efx
Comment Utility
i reject your answer 'cause i do read the install docs that's not the solution some times it has other things that doesn't appear on manuals
0
 
LVL 12

Accepted Solution

by:
j2 earned 100 total points
Comment Utility
read the README in horde/phplib (points 6 and 7 are what you have missed)
0

Featured Post

How to improve team productivity

Quip adds documents, spreadsheets, and tasklists to your Slack experience
- Elevate ideas to Quip docs
- Share Quip docs in Slack
- Get notified of changes to your docs
- Available on iOS/Android/Desktop/Web
- Online/Offline

Join & Write a Comment

SSH (Secure Shell) - Tips and Tricks As you all know SSH(Secure Shell) is a network protocol, which we use to access/transfer files securely between two networked devices. SSH was actually designed as a replacement for insecure protocols that sen…
Join Greg Farro and Ethan Banks from Packet Pushers (http://packetpushers.net/podcast/podcasts/pq-show-93-smart-network-monitoring-paessler-sponsored/) and Greg Ross from Paessler (https://www.paessler.com/prtg) for a discussion about smart network …
Connecting to an Amazon Linux EC2 Instance from Windows Using PuTTY.
This demo shows you how to set up the containerized NetScaler CPX with NetScaler Management and Analytics System in a non-routable Mesos/Marathon environment for use with Micro-Services applications.

728 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question

Need Help in Real-Time?

Connect with top rated Experts

14 Experts available now in Live!

Get 1:1 Help Now